#
# spec file for package python3-Trolly
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-Trolly
Version:        0.2.1
Release:        5.5
Summary:        Trello api
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/plish/Trolly
Source:         http://pypi.python.org/packages/source/T/Trolly/Trolly-%{version}.zip
BuildRequires:  python3-devel
BuildRequires:  unzip
Requires:       python3-httplib2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description

A Python wrapper around the Trello API. Provides a group of Python
classes to represent Trello Objects. None of the classes cache values
as they are designed to be inherited and extended to suit the needs of
each user. Each class includes a basic set of methods based on general
use cases. This library was based on work done by
[sarumont](https://github.com/sarumont/py-trello). Very little was
kept from this code, but still props on the initial work.

%prep
%setup -q -n Trolly-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
# There are no real tests that can be run mocked..
python3 -m unittest discover

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*

%changelog
* Sun Jan 25 2015 arun@gmx.de
- specfile:
  * dropped two patches
  * updated copyright year
  * formated description
  * no more license file in .zip, dropped it from %%doc
  * moved from tar.gz to zip (pypi only has a zip version of 0.2.1)
- dropped 0001-Fix-JSON-decoding-under-Python-3.x.patch: fixed upstream
- dropped python3-porting.diff: fixed upstream
- update to version 0.2.1:
  * Updated decode to decode to utf-8, will help with special characters.
  * manifest update
- changes from version 0.2:
  * updated version and distultils updated the manifest
  * added ignore file and removed pycharm rubbish
  * fixed test and issue with not passing kwargs in trello object
  * updated parameters
  * updated method names and parameters
  * updated parameters and fixed some more pep8
  * removed some whitespace
  * updated authorise method name
  * updated organisation method names
  * some more pep8 changes
  * changed formatting to pep8 and deprecated some method names in core classes
  * just some formatting
  * more python3 (keep unicode rather than converting to bytes)
  * Fix remaining Python-3 issues
  * fix setup.py install_requires so it actually declares the dependency
  * Fix JSON decoding under Python 3.x
  * Varios Python 3.x compat fixes
  * Some minor edits to setup file
* Tue Mar 25 2014 dmueller@suse.com
- add 0001-Fix-JSON-decoding-under-Python-3.x.patch
* Fri Feb 14 2014 dmueller@suse.com
- Initial package (0.1.2)
